function [lambda_hat,beta_hat,lambda_first,beta_first] = Estimator_GMMFactor(y,Z,M,H,AmF,VmF,dynamicM,n,T)

[f,sigma,y_plus,W1_plus,W2_plus] = EstimateFactors(y,Z,M,H,AmF,VmF,dynamicM);


QindTemp = true;
projectA = false;
Qind     = false;

[A,P,Q,V]= formatAPQV(W2_plus,H,AmF,VmF,dynamicM,projectA,QindTemp,n,T);

lambda0    = zeros(3,1);
[lambda_hat,beta_hat] = FixedFactorLinQuadGMM(A,P,Q,V,y_plus,W1_plus,W2_plus,lambda0,dynamicM);

%recompute moment matrices with intended Qind flag
[A,~,Q,V]= formatAPQV(W2_plus,H,AmF,VmF,dynamicM,projectA,Qind,n,T);

lambda_first = lambda_hat;
beta_first   = beta_hat;

if T<=5
    %                      disp('Global Optimzier Started - all Iterations');
    Iterations        = 'full';
else
    Iterations        = 'one';
end
tic
[lambda_hat,beta_hat]  = FullLinQuadGMM(A,Q,V,y,Z,M,H,f,sigma,[lambda_hat;beta_hat],Iterations,dynamicM);
toc

end

