function delta = Estimator_OLS(yIn,WIn,n,T,dimW)
%respahes data
%computes simple OLS regression coefficients
%y = n x T vector
%W = n dimW x T matrix
y               = zeros(n*T,1);
W               = zeros(n*T,dimW);

for t=1:T
    y((t-1)*n+1:t*n,1) = yIn(:,t);
    W((t-1)*n+1:t*n,:) = reshape(WIn(:,t),n,dimW);
end

delta      = (W'*W)\(W'*y);
return