function MType = SetModelType(InstrumentType,efficient,endogenous)


switch InstrumentType
    case 0
        if efficient && endogenous
            MType   = 'GMM_EFFAppM';
        elseif efficient && ~endogenous
            MType   = 'GMM_EFFM';
        elseif ~efficient && endogenous
            MType   = 'GMMNEFAppM';
        elseif ~efficient && ~endogenous
            MType   = 'GMMNEFM';
        end
    case 1
        if efficient && endogenous
            MType   = 'GMM_EFFAppM1';
        elseif efficient && ~endogenous
            MType   = 'GMM_EFFM1';
        elseif ~efficient && endogenous
            MType   = 'GMMNEFAppM';
        elseif ~efficient && ~endogenous
            MType   = 'GMMNEFM';
        end
    case 2
        if efficient && endogenous
            MType   = 'GMM_EFFAppM2';
        elseif efficient && ~endogenous
            MType   = 'GMM_EFFM2';
        elseif ~efficient && endogenous
            MType   = 'GMMNEFAppM';
        elseif ~efficient && ~endogenous
            MType   = 'GMMNEFM';
        end
        
end

end