function [ Results ] = StoreResultsMSE(Results,ySim,type,fe1,fe2,fe3)

            switch type
                case 'OLS'
                     Results.MSE.OLS(Results.Iteration,1)      = fe1^2;
                     Results.MAE.OLS(Results.Iteration,1)      = abs(fe1);                     
                     Results.Bias.OLS(Results.Iteration,1)     = fe1;
                     Results.Med.OLS(Results.Iteration,1)      = fe1;                     
                     
                     Results.MSE.OLS(Results.Iteration,2)      = fe2^2;
                     Results.MAE.OLS(Results.Iteration,2)      = abs(fe2);                     
                     Results.Bias.OLS(Results.Iteration,2)     = fe2;
                     Results.Med.OLS(Results.Iteration,2)      = fe2;                     

                     Results.MSE.OLS(Results.Iteration,3)      = fe3^2;
                     Results.MAE.OLS(Results.Iteration,3)      = abs(fe3);                     
                     Results.Bias.OLS(Results.Iteration,3)     = fe3;
                     Results.Med.OLS(Results.Iteration,3)      = fe3;                                          
                     
                case 'IV'
                     Results.MSE.IV(Results.Iteration,1)       = fe1^2;
                     Results.MAE.IV(Results.Iteration,1)       = abs(fe1);                     
                     Results.Bias.IV(Results.Iteration,1)      = fe1;
                     Results.Med.IV(Results.Iteration,1)       = fe1;                     
                     Results.FSR2.IV(Results.Iteration,1)      = ySim.R2Dat;
                     
                     Results.MSE.IV(Results.Iteration,2)       = fe2^2;
                     Results.MAE.IV(Results.Iteration,2)       = abs(fe2);                     
                     Results.Bias.IV(Results.Iteration,2)      = fe2;
                     Results.Med.IV(Results.Iteration,2)       = fe2;                     
                     Results.FSR2.IV(Results.Iteration,2)      = ySim.R2Dat;

                     Results.MSE.IV(Results.Iteration,3)       = fe3^2;
                     Results.MAE.IV(Results.Iteration,3)       = abs(fe3);                     
                     Results.Bias.IV(Results.Iteration,3)      = fe3;
                     Results.Med.IV(Results.Iteration,3)       = fe3;                     
                     Results.FSR2.IV(Results.Iteration,3)      = ySim.R2Dat;
                case 'IV1'
                     Results.MSE.IV1(Results.Iteration,1)       = fe1^2;
                     Results.MAE.IV1(Results.Iteration,1)       = abs(fe1);                     
                     Results.Bias.IV1(Results.Iteration,1)      = fe1;
                     Results.Med.IV1(Results.Iteration,1)       = fe1;                     
                     Results.FSR2.IV1(Results.Iteration,1)      = ySim.R2Dat;
                     
                     Results.MSE.IV1(Results.Iteration,2)       = fe2^2;
                     Results.MAE.IV1(Results.Iteration,2)       = abs(fe2);                     
                     Results.Bias.IV1(Results.Iteration,2)      = fe2;
                     Results.Med.IV1(Results.Iteration,2)       = fe2;                     
                     Results.FSR2.IV1(Results.Iteration,2)      = ySim.R2Dat;

                     Results.MSE.IV1(Results.Iteration,3)       = fe3^2;
                     Results.MAE.IV1(Results.Iteration,3)       = abs(fe3);                     
                     Results.Bias.IV1(Results.Iteration,3)      = fe3;
                     Results.Med.IV1(Results.Iteration,3)       = fe3;                     
                     Results.FSR2.IV1(Results.Iteration,3)      = ySim.R2Dat; 
                case 'IV2'
                     Results.MSE.IV2(Results.Iteration,1)       = fe1^2;
                     Results.MAE.IV2(Results.Iteration,1)       = abs(fe1);                     
                     Results.Bias.IV2(Results.Iteration,1)      = fe1;
                     Results.Med.IV2(Results.Iteration,1)       = fe1;                     
                     Results.FSR2.IV2(Results.Iteration,1)      = ySim.R2Dat;
                     
                     Results.MSE.IV2(Results.Iteration,2)       = fe2^2;
                     Results.MAE.IV2(Results.Iteration,2)       = abs(fe2);                     
                     Results.Bias.IV2(Results.Iteration,2)      = fe2;
                     Results.Med.IV2(Results.Iteration,2)       = fe2;                     
                     Results.FSR2.IV2(Results.Iteration,2)      = ySim.R2Dat;

                     Results.MSE.IV2(Results.Iteration,3)       = fe3^2;
                     Results.MAE.IV2(Results.Iteration,3)       = abs(fe3);                     
                     Results.Bias.IV2(Results.Iteration,3)      = fe3;
                     Results.Med.IV2(Results.Iteration,3)       = fe3;                     
                     Results.FSR2.IV2(Results.Iteration,3)      = ySim.R2Dat;                     
                case 'GMM'
                     Results.MSE.GMM(Results.Iteration,1)       = fe1^2;
                     Results.MAE.GMM(Results.Iteration,1)       = abs(fe1);                     
                     Results.Bias.GMM(Results.Iteration,1)      = fe1;
                     Results.Med.GMM(Results.Iteration,1)       = fe1;                     
                     Results.FSR2.GMM(Results.Iteration,1)      = ySim.R2Dat;
                     
                     Results.MSE.GMM(Results.Iteration,2)       = fe2^2;
                     Results.MAE.GMM(Results.Iteration,2)       = abs(fe2);                     
                     Results.Bias.GMM(Results.Iteration,2)      = fe2;
                     Results.Med.GMM(Results.Iteration,2)       = fe2;                     
                     Results.FSR2.GMM(Results.Iteration,2)      = ySim.R2Dat;

                     Results.MSE.GMM(Results.Iteration,3)       = fe3^2;
                     Results.MAE.GMM(Results.Iteration,3)       = abs(fe3);                     
                     Results.Bias.GMM(Results.Iteration,3)      = fe3;
                     Results.Med.GMM(Results.Iteration,3)       = fe3;                     
                     Results.FSR2.GMM(Results.Iteration,3)      = ySim.R2Dat;
                case 'GMMNEFM'
                     Results.MSE.GMMNEFM(Results.Iteration,1)   = fe1^2;
                     Results.MAE.GMMNEFM(Results.Iteration,1)   = abs(fe1);                     
                     Results.Bias.GMMNEFM(Results.Iteration,1)  = fe1;
                     Results.Med.GMMNEFM(Results.Iteration,1)   = fe1;                     
                     Results.FSR2.GMMNEFM(Results.Iteration,1)  = ySim.R2Dat;                     
                     
                     Results.MSE.GMMNEFM(Results.Iteration,2)   = fe2^2;
                     Results.MAE.GMMNEFM(Results.Iteration,2)   = abs(fe2);                     
                     Results.Bias.GMMNEFM(Results.Iteration,2)  = fe2;
                     Results.Med.GMMNEFM(Results.Iteration,2)   = fe2;                     
                     Results.FSR2.GMMNEFM(Results.Iteration,2)  = ySim.R2Dat;
                     
                     Results.MSE.GMMNEFM(Results.Iteration,3)   = fe3^2;
                     Results.MAE.GMMNEFM(Results.Iteration,3)   = abs(fe3);                     
                     Results.Bias.GMMNEFM(Results.Iteration,3)  = fe3;
                     Results.Med.GMMNEFM(Results.Iteration,3)   = fe3;                     
                     Results.FSR2.GMMNEFM(Results.Iteration,3)  = ySim.R2Dat;                     
                     
                case 'GMM_EFFM'
                     Results.MSE.GMM_EFFM(Results.Iteration,1)   = fe1^2;
                     Results.MAE.GMM_EFFM(Results.Iteration,1)   = abs(fe1);                     
                     Results.Bias.GMM_EFFM(Results.Iteration,1)  = fe1;
                     Results.Med.GMM_EFFM(Results.Iteration,1)   = fe1;                     
                     
                     Results.MSE.GMM_EFFM(Results.Iteration,2)   = fe2^2;
                     Results.MAE.GMM_EFFM(Results.Iteration,2)   = abs(fe2);                     
                     Results.Bias.GMM_EFFM(Results.Iteration,2)  = fe2;
                     Results.Med.GMM_EFFM(Results.Iteration,2)   = fe2; 
                     
                     Results.MSE.GMM_EFFM(Results.Iteration,3)   = fe3^2;
                     Results.MAE.GMM_EFFM(Results.Iteration,3)   = abs(fe3);                     
                     Results.Bias.GMM_EFFM(Results.Iteration,3)  = fe3;
                     Results.Med.GMM_EFFM(Results.Iteration,3)   = fe3;                      
                     
                case 'GMM_EFFM1'
                     Results.MSE.GMM_EFFM1(Results.Iteration,1)   = fe1^2;
                     Results.MAE.GMM_EFFM1(Results.Iteration,1)   = abs(fe1);                     
                     Results.Bias.GMM_EFFM1(Results.Iteration,1)  = fe1;
                     Results.Med.GMM_EFFM1(Results.Iteration,1)   = fe1;                     
                     
                     Results.MSE.GMM_EFFM1(Results.Iteration,2)   = fe2^2;
                     Results.MAE.GMM_EFFM1(Results.Iteration,2)   = abs(fe2);                     
                     Results.Bias.GMM_EFFM1(Results.Iteration,2)  = fe2;
                     Results.Med.GMM_EFFM1(Results.Iteration,2)   = fe2; 
                     
                     Results.MSE.GMM_EFFM1(Results.Iteration,3)   = fe3^2;
                     Results.MAE.GMM_EFFM1(Results.Iteration,3)   = abs(fe3);                     
                     Results.Bias.GMM_EFFM1(Results.Iteration,3)  = fe3;
                     Results.Med.GMM_EFFM1(Results.Iteration,3)   = fe3;                      
                case 'GMM_EFFM2'
                     Results.MSE.GMM_EFFM2(Results.Iteration,1)   = fe1^2;
                     Results.MAE.GMM_EFFM2(Results.Iteration,1)   = abs(fe1);                     
                     Results.Bias.GMM_EFFM2(Results.Iteration,1)  = fe1;
                     Results.Med.GMM_EFFM2(Results.Iteration,1)   = fe1;                     
                     
                     Results.MSE.GMM_EFFM2(Results.Iteration,2)   = fe2^2;
                     Results.MAE.GMM_EFFM2(Results.Iteration,2)   = abs(fe2);                     
                     Results.Bias.GMM_EFFM2(Results.Iteration,2)  = fe2;
                     Results.Med.GMM_EFFM2(Results.Iteration,2)   = fe2; 
                     
                     Results.MSE.GMM_EFFM2(Results.Iteration,3)   = fe3^2;
                     Results.MAE.GMM_EFFM2(Results.Iteration,3)   = abs(fe3);                     
                     Results.Bias.GMM_EFFM2(Results.Iteration,3)  = fe3;
                     Results.Med.GMM_EFFM2(Results.Iteration,3)   = fe3;  
                     
%                    Results.FSR2.GMM_EFFM1(Results.Iteration)  = ySim.R2Dat;
%					 Results.mEig.GMM_EFFM1(Results.Iteration)  = ySim.mEig;

                case 'GMMNEFAppM'
                     Results.MSE.GMMNEFAppM(Results.Iteration,1)   = fe1^2;
                     Results.MAE.GMMNEFAppM(Results.Iteration,1)   = abs(fe1);                     
                     Results.Bias.GMMNEFAppM(Results.Iteration,1)  = fe1;
                     Results.Med.GMMNEFAppM(Results.Iteration,1)   = fe1;                     
                     Results.FSR2.GMMNEFAppM(Results.Iteration,1)  = ySim.R2Dat;                     
                     
                     Results.MSE.GMMNEFAppM(Results.Iteration,2)   = fe2^2;
                     Results.MAE.GMMNEFAppM(Results.Iteration,2)   = abs(fe2);                     
                     Results.Bias.GMMNEFAppM(Results.Iteration,2)  = fe2;
                     Results.Med.GMMNEFAppM(Results.Iteration,2)   = fe2;                     
                     Results.FSR2.GMMNEFAppM(Results.Iteration,2)  = ySim.R2Dat;
                     
                     Results.MSE.GMMNEFAppM(Results.Iteration,3)   = fe3^2;
                     Results.MAE.GMMNEFAppM(Results.Iteration,3)   = abs(fe3);                     
                     Results.Bias.GMMNEFAppM(Results.Iteration,3)  = fe3;
                     Results.Med.GMMNEFAppMR(esults.Iteration,3)   = fe3;                     
                     Results.FSR2.GMMNEFAppM(Results.Iteration,3)  = ySim.R2Dat;                     
                     
                case 'GMM_EFFAppM'
                     Results.MSE.GMM_EFFAppM(Results.Iteration,1)   = fe1^2;
                     Results.MAE.GMM_EFFAppM(Results.Iteration,1)   = abs(fe1);                     
                     Results.Bias.GMM_EFFAppM(Results.Iteration,1)  = fe1;
                     Results.Med.GMM_EFFAppM(Results.Iteration,1)   = fe1;                     
                     
                     Results.MSE.GMM_EFFAppM(Results.Iteration,2)   = fe2^2;
                     Results.MAE.GMM_EFFAppM(Results.Iteration,2)   = abs(fe2);                     
                     Results.Bias.GMM_EFFAppM(Results.Iteration,2)  = fe2;
                     Results.Med.GMM_EFFAppM(Results.Iteration,2)   = fe2; 
                     
                     Results.MSE.GMM_EFFAppM(Results.Iteration,3)   = fe3^2;
                     Results.MAE.GMM_EFFAppM(Results.Iteration,3)   = abs(fe3);                     
                     Results.Bias.GMM_EFFAppM(Results.Iteration,3)  = fe3;
                     Results.Med.GMM_EFFAppM(Results.Iteration,3)   = fe3;                        
                case 'GMM_EFFAppM1'
                     Results.MSE.GMM_EFFAppM1(Results.Iteration,1)   = fe1^2;
                     Results.MAE.GMM_EFFAppM1(Results.Iteration,1)   = abs(fe1);                     
                     Results.Bias.GMM_EFFAppM1(Results.Iteration,1)  = fe1;
                     Results.Med.GMM_EFFAppM1(Results.Iteration,1)   = fe1;                     
                     
                     Results.MSE.GMM_EFFAppM1(Results.Iteration,2)   = fe2^2;
                     Results.MAE.GMM_EFFAppM1(Results.Iteration,2)   = abs(fe2);                     
                     Results.Bias.GMM_EFFAppM1(Results.Iteration,2)  = fe2;
                     Results.Med.GMM_EFFAppM1(Results.Iteration,2)   = fe2; 
                     
                     Results.MSE.GMM_EFFAppM1(Results.Iteration,3)   = fe3^2;
                     Results.MAE.GMM_EFFAppM1(Results.Iteration,3)   = abs(fe3);                     
                     Results.Bias.GMM_EFFAppM1(Results.Iteration,3)  = fe3;
                     Results.Med.GMM_EFFAppM1(Results.Iteration,3)   = fe3;     
                case 'GMM_EFFAppM2'
                     Results.MSE.GMM_EFFAppM2(Results.Iteration,1)   = fe1^2;
                     Results.MAE.GMM_EFFAppM2(Results.Iteration,1)   = abs(fe1);                     
                     Results.Bias.GMM_EFFAppM2(Results.Iteration,1)  = fe1;
                     Results.Med.GMM_EFFAppM2(Results.Iteration,1)   = fe1;                     
                     
                     Results.MSE.GMM_EFFAppM2(Results.Iteration,2)   = fe2^2;
                     Results.MAE.GMM_EFFAppM2(Results.Iteration,2)   = abs(fe2);                     
                     Results.Bias.GMM_EFFAppM2(Results.Iteration,2)  = fe2;
                     Results.Med.GMM_EFFAppM2(Results.Iteration,2)   = fe2; 
                     
                     Results.MSE.GMM_EFFAppM2(Results.Iteration,3)   = fe3^2;
                     Results.MAE.GMM_EFFAppM2(Results.Iteration,3)   = abs(fe3);                     
                     Results.Bias.GMM_EFFAppM2(Results.Iteration,3)  = fe3;
                     Results.Med.GMM_EFFAppM2(Results.Iteration,3)   = fe3;                          
                     
            end

end

