function ups = SymmetrizeUPS(ups)


T = size(ups,2);
n = sqrt(size(ups,1));

for i = 1:T
    ups1     = reshape(ups(:,i),n,n);
    ups1     = ups1 - tril(ups1,-1) + triu(ups1,1)';
    ups(:,i) = vec(ups1);
end