function [H] = cleanH(Hin,n)
% checks for redundant instruments


T    = size(Hin,2);
dimH = size(Hin,1)/n;



% eliminate multicolinear instruments
h               = zeros(n*T,dimH);
for t=1:T
   h((t-1)*n+1:t*n,:)  = reshape(Hin(:,t),n,dimH);
end

h           = eliminateRedH(h);
dimh        = size(h,2);
H           = zeros(n*dimh,T);

for t=1:T
   H(:,t)  = reshape(h((t-1)*n+1:t*n,:),n*dimh,1);
end    


end

