function [ Results ] = AverageResults( Results )

            Results.RMSE.OLS          = sqrt(mean(Results.MSE.OLS));
            Results.RMSE.IV           = sqrt(mean(Results.MSE.IV));
            Results.RMSE.IV1          = sqrt(mean(Results.MSE.IV1));
            Results.RMSE.IV2          = sqrt(mean(Results.MSE.IV2));            
            Results.RMSE.IVA          = sqrt(mean(Results.MSE.IVA));
            Results.RMSE.GMM          = sqrt(mean(Results.MSE.GMM));
            Results.RMSE.GMM1         = sqrt(mean(Results.MSE.GMM1));
            Results.RMSE.GMM2         = sqrt(mean(Results.MSE.GMM2));            
            Results.RMSE.GMMNEFM      = sqrt(mean(Results.MSE.GMMNEFM));
            Results.RMSE.GMM_EFFM     = sqrt(mean(Results.MSE.GMM_EFFM));
            Results.RMSE.GMM_EFFM1    = sqrt(mean(Results.MSE.GMM_EFFM1));
            Results.RMSE.GMM_EFFM2    = sqrt(mean(Results.MSE.GMM_EFFM2));            
            Results.RMSE.GMMNEFAppM   = sqrt(mean(Results.MSE.GMMNEFAppM));
            Results.RMSE.GMM_EFFAppM  = sqrt(mean(Results.MSE.GMM_EFFAppM));
            Results.RMSE.GMM_EFFAppM1 = sqrt(mean(Results.MSE.GMM_EFFAppM1));
            Results.RMSE.GMM_EFFAppM2 = sqrt(mean(Results.MSE.GMM_EFFAppM2));            
            
            Results.AMAE.OLS          = mean(Results.MAE.OLS);
            Results.AMAE.IV           = mean(Results.MAE.IV);
            Results.AMAE.IV1          = mean(Results.MAE.IV1);
            Results.AMAE.IV2          = mean(Results.MAE.IV2);            
            Results.AMAE.IVA          = mean(Results.MAE.IVA);            
            Results.AMAE.GMM          = mean(Results.MAE.GMM);
            Results.AMAE.GMM1         = mean(Results.MAE.GMM1);
            Results.AMAE.GMM2         = mean(Results.MAE.GMM2);            
            Results.AMAE.GMMNEFM      = mean(Results.MAE.GMMNEFM);
            Results.AMAE.GMM_EFFM     = mean(Results.MAE.GMM_EFFM);
            Results.AMAE.GMM_EFFM1    = mean(Results.MAE.GMM_EFFM1);
            Results.AMAE.GMM_EFFM2    = mean(Results.MAE.GMM_EFFM2);            
            Results.AMAE.GMMNEFAppM   = mean(Results.MAE.GMMNEFAppM);
            Results.AMAE.GMM_EFFAppM  = mean(Results.MAE.GMM_EFFAppM);
            Results.AMAE.GMM_EFFAppM1 = mean(Results.MAE.GMM_EFFAppM1);
            Results.AMAE.GMM_EFFAppM2 = mean(Results.MAE.GMM_EFFAppM2);

            Results.ABias.OLS         = mean(Results.Bias.OLS);
            Results.ABias.IV          = mean(Results.Bias.IV);
            Results.ABias.IV1         = mean(Results.Bias.IV1);
            Results.ABias.IV2         = mean(Results.Bias.IV2);            
            Results.ABias.IVA         = mean(Results.Bias.IVA);            
            Results.ABias.GMM         = mean(Results.Bias.GMM);
            Results.ABias.GMM1        = mean(Results.Bias.GMM1);            
            Results.ABias.GMM2        = mean(Results.Bias.GMM2);
            Results.ABias.GMMNEFM     = mean(Results.Bias.GMMNEFM);
            Results.ABias.GMM_EFFM    = mean(Results.Bias.GMM_EFFM);
            Results.ABias.GMM_EFFM1   = mean(Results.Bias.GMM_EFFM1);
            Results.ABias.GMM_EFFM2   = mean(Results.Bias.GMM_EFFM2);            
            Results.ABias.GMMNEFAppM  = mean(Results.Bias.GMMNEFAppM);
            Results.ABias.GMM_EFFAppM = mean(Results.Bias.GMM_EFFAppM);
            Results.ABias.GMM_EFFAppM1= mean(Results.Bias.GMM_EFFAppM1);
            Results.ABias.GMM_EFFAppM2= mean(Results.Bias.GMM_EFFAppM2);            
            
            
            Results.AMed.OLS          = median(Results.Bias.OLS);
            Results.AMed.IV           = median(Results.Bias.IV);
            Results.AMed.IV1          = median(Results.Bias.IV1);
            Results.AMed.IV2          = median(Results.Bias.IV2);            
            Results.AMed.IVA          = median(Results.Bias.IVA);            
            Results.AMed.GMM          = median(Results.Bias.GMM);
            Results.AMed.GMM1         = median(Results.Bias.GMM);
            Results.AMed.GMM2         = median(Results.Bias.GMM);            
            Results.AMed.GMMNEFM      = median(Results.Bias.GMMNEFM);
            Results.AMed.GMM_EFFM     = median(Results.Bias.GMM_EFFM);
            Results.AMed.GMM_EFFM1    = median(Results.Bias.GMM_EFFM1);
            Results.AMed.GMM_EFFM2    = median(Results.Bias.GMM_EFFM2);            
            Results.AMed.GMMNEFAppM   = median(Results.Bias.GMMNEFAppM);
            Results.AMed.GMM_EFFAppM  = median(Results.Bias.GMM_EFFAppM);
            Results.AMed.GMM_EFFAppM1 = median(Results.Bias.GMM_EFFAppM1);
            Results.AMed.GMM_EFFAppM2 = median(Results.Bias.GMM_EFFAppM2);            
         
            Results.AFSR2.IV          = mean(Results.FSR2.IV);
            Results.AFSR2.IV1         = mean(Results.FSR2.IV1);
            Results.AFSR2.IV2         = mean(Results.FSR2.IV2);            
            Results.AFSR2.IVA         = mean(Results.FSR2.IVA);            
            Results.AFSR2.GMM         = mean(Results.FSR2.GMM);
            Results.AFSR2.GMM1        = mean(Results.FSR2.GMM1);
            Results.AFSR2.GMM2        = mean(Results.FSR2.GMM2);            
            Results.AFSR2.GMMNEFM     = mean(Results.FSR2.GMMNEFM);
            Results.AFSR2.GMM_EFFM    = mean(Results.FSR2.GMM_EFFM);
            Results.AFSR2.GMM_EFFM1   = mean(Results.FSR2.GMM_EFFM1);
            Results.AFSR2.GMM_EFFM2   = mean(Results.FSR2.GMM_EFFM2);            
            Results.AFSR2.GMMNEFAppM  = mean(Results.FSR2.GMMNEFAppM);
            Results.AFSR2.GMM_EFFAppM1= mean(Results.FSR2.GMM_EFFAppM1);
            Results.AFSR2.GMM_EFFAppM2= mean(Results.FSR2.GMM_EFFAppM2);            
			
			Results.AmEig.GMM_EFFM     = mean(Results.mEig.GMM_EFFM);

end

