function [lambda_hat,beta_hat] = FullLinQuadGMMFixedF(A,Q,V,y_plus,W1_plus,W2_plus,h,param,Iterations)

[ ulam,ulamh,ulamQ,hh,n,T ] = FullOptimDataPrep( y_plus,W1_plus,W2_plus,h,A,Q);

[ ulamQ, V ]                = cleanQuadMom(ulamQ,V,param);

oldoptions = optimoptions(@fminunc); %save old options
switch Iterations
    case 'one'
        options    = optimoptions(@fminunc,'Algorithm','quasi-newton','MaxIterations',1,'Display','off'); % reduce Iterations to just one
        [param,~]  = fminunc(@(param)mlqFixedF(param,ulam,ulamh,ulamQ,hh,V,n,T),param,options);
    case 'full'
        options    = optimoptions(@fminunc,'Algorithm','quasi-newton','MaxIterations',100,'Display','off');
        [param,~]  = fminunc(@(param)mlqFixedF(param,ulam,ulamh,ulamQ,hh,V,n,T),param,options);
end
        

lambda_hat = param(1,1);
beta_hat   = param(2:3,1);

optimoptions(@fminunc,oldoptions);

return