function PrintFileResultsAppendix(Param,NumSim,lambda_list,localToNonID,amu_list,n_list,Filename)


factors         = Param.factors;
endogenous      = Param.endogenous;

Itcount = 0;
% Start Simulation Loop
for in = 1:length(n_list)
    Param.n  = n_list(in);
    outfn_NonF      = [Filename num2str(Param.n)];
    outfnData       = ['SimulationData_' Filename num2str(Param.n)];
    load(outfnData,'-mat');
    ResultsNonF     = ResultClassDefinitions(NumSim,outfn_NonF,true,Param);

    for i3 = 1:length(amu_list)
        Param.amu = amu_list(i3);
        for i1 = 1:length(lambda_list)
            Param.lambda = lambda_list(i1);
            for i2 = 1:length(localToNonID)
                Param.LocalID  = localToNonID(i2);
                Itcount = Itcount + 1;
                ResultsNonF = ResultStore(Itcount);
                
                
                ResultsNonF.Outputfilename1  = strcat(outfn_NonF,"_Lambda.txt");
                ResultsNonF.Outputfilename2  = strcat(outfn_NonF,"_Beta1.txt");
                ResultsNonF.Outputfilename3  = strcat(outfn_NonF,"_Beta2.txt");

                if factors
                    ResultsNonF.AveMSEInstComp(Param);
                elseif ~factors && ~endogenous                    
                    ResultsNonF.AveMSEInstComp(Param);
                elseif ~factors && endogenous                    
                    ResultsNonF.AveMSEInstCompEndoM(Param);
                end   
             end
        end
    end
    Itcount         = 0;
end
