function PrintResultsAveMSE_Factor(Results,Param)                                       

            
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Print Results for Lambda
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%            
            s = num2str(Param.n);
            s = [s '&' char(9) num2str(Param.lambda) '&'];
            s = [s char(9) num2str(Param.azeta) '&'];           
            s = [s char(9) num2str(Param.LocalID) '&'];      
            
            s = [s char(9) char(9) '&'];            
            s = [s char(9) num2str(Results.AMed.OLS(1,1),'%-6.3f')  '&'];             
            s = [s char(9) num2str(Results.AMAE.OLS(1,1),'%-6.3f') '&'];                  

            
            s = [s char(9) char(9) '&'];            
            s = [s char(9) num2str(Results.AMed.IV(1,1),'%-6.3f') '&'];                              
            s = [s char(9) num2str(Results.AMAE.IV(1,1),'%-6.3f') '&'];                  
            s = [s char(9) num2str(Results.AFSR2.IV(1,1),'%-6.3f') '&']; 

            s = [s char(9) char(9) '&'];            
            s = [s char(9) num2str(Results.AMed.GMM(1,1),'%-6.3f') '&'];                              
            s = [s char(9) num2str(Results.AMAE.GMM(1,1),'%-6.3f') '\\'];                  

            
             
            dlmwrite(Results.Outputfilename1,s,'-append','delimiter','');
            
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Print Results for Beta1
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%            
            
            s = num2str(Param.n);
            s = [s '&' char(9) num2str(Param.lambda) '&'];
            s = [s char(9) num2str(Param.azeta) '&'];           
            s = [s char(9) num2str(Param.LocalID) '&'];      
            
            s = [s char(9) char(9) '&'];            
            s = [s char(9) num2str(Results.AMed.OLS(1,2),'%-6.3f')  '&'];             
            s = [s char(9) num2str(Results.AMAE.OLS(1,2),'%-6.3f') '&'];                  

            
            s = [s char(9) char(9) '&'];            
            s = [s char(9) num2str(Results.AMed.IV(1,2),'%-6.3f') '&'];                              
            s = [s char(9) num2str(Results.AMAE.IV(1,2),'%-6.3f') '&'];                  
            s = [s char(9) num2str(Results.AFSR2.IV(1,2),'%-6.3f') '&']; 

            s = [s char(9) char(9) '&'];            
            s = [s char(9) num2str(Results.AMed.GMM(1,2),'%-6.3f') '&'];                              
            s = [s char(9) num2str(Results.AMAE.GMM(1,2),'%-6.3f') '\\'];                  
             
            dlmwrite(Results.Outputfilename2,s,'-append','delimiter','');            
            
            
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Print Results for Beta2
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%            
            
            s = num2str(Param.n);
            s = [s '&' char(9) num2str(Param.lambda) '&'];
            s = [s char(9) num2str(Param.azeta) '&'];           
            s = [s char(9) num2str(Param.LocalID) '&'];      
            
            s = [s char(9) char(9) '&'];            
            s = [s char(9) num2str(Results.AMed.OLS(1,3),'%-6.3f')  '&'];             
            s = [s char(9) num2str(Results.AMAE.OLS(1,3),'%-6.3f') '&'];                  

            
            s = [s char(9) char(9) '&'];            
            s = [s char(9) num2str(Results.AMed.IV(1,3),'%-6.3f') '&'];                              
            s = [s char(9) num2str(Results.AMAE.IV(1,3),'%-6.3f') '&'];                  
            s = [s char(9) num2str(Results.AFSR2.IV(1,3),'%-6.3f') '&']; 

            s = [s char(9) char(9) '&'];            
            s = [s char(9) num2str(Results.AMed.GMM(1,3),'%-6.3f') '&'];                              
            s = [s char(9) num2str(Results.AMAE.GMM(1,3),'%-6.3f') '\\'];                  
             
            dlmwrite(Results.Outputfilename3,s,'-append','delimiter','');            


end

