function mqval = mq_t_factor(lambda,y,W,Qh,A1,A2,A3,A4,Va)
%This code implements the Algorithm in Subsection D.2.2 of the supplemental
%appendix, m_q criterion function to determine lambda_bar after partialling
%out delta. 


mq1 =  (y - W*lambda)'*Qh'*A1*Qh*(y - W*lambda);
mq2 =  (y - W*lambda)'*Qh'*A2*Qh*(y - W*lambda);
mq3 =  (y - W*lambda)'*Qh'*A3*Qh*(y - W*lambda);
mq4 =  (y - W*lambda)'*Qh'*A4*Qh*(y - W*lambda);

if rank(A2)==0 && rank(A1)==0
      Va  = Va(3:4,3:4);
      mqM = [mq3;mq4];
elseif rank(A4)==0
      Va    = Vta(2:4,2:4);
      mqM = [mq2;mq3;mq4];
else
      mqM = [mq1;mq2;mq3;mq4];
end    

mqval = mqM'/Va*mqM;
end

