function fq = mqff(lambda,A,Q,V,y_plus,W1_plus)

n     = size(y_plus,1);
T     = size(y_plus,2);
dimW1 = size(W1_plus,1)/n;
fq    = 0;

for t = 1:T
   Qt        = reshape(Q(:,t),n,n);
   At        = reshape(A(:,t),n^2,4);
   At1       = reshape(At(:,1),n,n);
   At2       = reshape(At(:,2),n,n);
   At3       = reshape(At(:,3),n,n);
   At4       = reshape(At(:,4),n,n); 
   yt_plus   = y_plus(:,t);
   W1t_plus  = reshape(W1_plus(:,t),n,dimW1);  
   Vta       = reshape(V(:,t),4,4);

   if rank(At1)==0 && rank(At2)==0 && rank(At3)~=0
      Vta    = Vta(3:4,3:4);
         mq  = [(yt_plus - W1t_plus*lambda)'*Qt*At3*Qt*(yt_plus - W1t_plus*lambda);...
                (yt_plus - W1t_plus*lambda)'*Qt*At4*Qt*(yt_plus - W1t_plus*lambda);...
                ];
   elseif rank(At1)==0 && (rank(At2)~=0 || rank(At3)~=0)
      Vta    = Vta(2:4,2:4);
      mq     = [(yt_plus - W1t_plus*lambda)'*Qt*At2*Qt*(yt_plus - W1t_plus*lambda);...
                (yt_plus - W1t_plus*lambda)'*Qt*At3*Qt*(yt_plus - W1t_plus*lambda);...
                (yt_plus - W1t_plus*lambda)'*Qt*At4*Qt*(yt_plus - W1t_plus*lambda)
                ];
   elseif rank(At1)==0 && rank(At2)==0 && rank(At3)==0
      Vta    = Vta(4:4,4:4);       
      mq     = [(yt_plus - W1t_plus*lambda)'*Qt*At4*Qt*(yt_plus - W1t_plus*lambda)
                ];       
   else
      mq     = [(yt_plus - W1t_plus*lambda)'*Qt*At1*Qt*(yt_plus - W1t_plus*lambda);...
                (yt_plus - W1t_plus*lambda)'*Qt*At2*Qt*(yt_plus - W1t_plus*lambda);...
                (yt_plus - W1t_plus*lambda)'*Qt*At3*Qt*(yt_plus - W1t_plus*lambda);...
                (yt_plus - W1t_plus*lambda)'*Qt*At4*Qt*(yt_plus - W1t_plus*lambda)
                ];
    end
   fq       = fq + mq'/Vta*mq;
end
